//
//  FKFlickrAuthGetFullToken.h
//  FlickrKit
//
//  Generated by FKAPIBuilder on 12 Jun, 2013 at 17:19.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrAPIMethod.h"

typedef enum {
	FKFlickrAuthGetFullTokenError_MinitokenNotFound = 1,		 /* The passed mini-token was not valid. */
	FKFlickrAuthGetFullTokenError_InvalidAPIKey = 100,		 /* The API key passed was not valid or has expired. */
	FKFlickrAuthGetFullTokenError_ServiceCurrentlyUnavailable = 105,		 /* The requested service is temporarily unavailable. */
	FKFlickrAuthGetFullTokenError_FormatXXXNotFound = 111,		 /* The requested response format was not found. */
	FKFlickrAuthGetFullTokenError_MethodXXXNotFound = 112,		 /* The requested method was not found. */
	FKFlickrAuthGetFullTokenError_InvalidSOAPEnvelope = 114,		 /* The SOAP envelope send in the request could not be parsed. */
	FKFlickrAuthGetFullTokenError_InvalidXMLRPCMethodCall = 115,		 /* The XML-RPC request document could not be parsed. */
	FKFlickrAuthGetFullTokenError_BadURLFound = 116,		 /* One or more arguments contained a URL that has been used for abuse on Flickr. */

} FKFlickrAuthGetFullTokenError;

/*

Get the full authentication token for a mini-token. <b>This method call must be signed</b>, and is <b><a href="/services/api/auth.oauth.html">deprecated in favour of OAuth</a></b>.

<p><code>perms</code> can have values of <code>none</code>, <code>read</code>, <code>write</code> or <code>delete</code>. For more information, see the <a href="/services/api/auth.spec.html">Auth API spec</a>.</p>

Response:

<auth>
	<token>976598454353455</token>
	<perms>write</perms>
	<user nsid="12037949754@N01" username="Bees" fullname="Cal H" />
</auth>

*/
@interface FKFlickrAuthGetFullToken : NSObject <FKFlickrAPIMethod>

/* The mini-token typed in by a user. It should be 9 digits long. It may optionally contain dashes. */
@property (nonatomic, strong) NSString *mini_token; /* (Required) */


@end
