//
//  FKFlickrGalleriesCreate.h
//  FlickrKit
//
//  Generated by FKAPIBuilder on 12 Jun, 2013 at 17:19.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrAPIMethod.h"

typedef enum {
	FKFlickrGalleriesCreateError_RequiredParameterMissing = 1,		 /* One or more of the required parameters was missing from your API call. */
	FKFlickrGalleriesCreateError_InvalidTitleOrDescription = 2,		 /* The title or the description could not be validated. */
	FKFlickrGalleriesCreateError_FailedToAddGallery = 3,		 /* There was a problem creating the gallery. */
	FKFlickrGalleriesCreateError_InvalidSignature = 96,		 /* The passed signature was invalid. */
	FKFlickrGalleriesCreateError_MissingSignature = 97,		 /* The call required signing but no signature was sent. */
	FKFlickrGalleriesCreateError_LoginFailedOrInvalidAuthToken = 98,		 /* The login details or auth token passed were invalid. */
	FKFlickrGalleriesCreateError_UserNotLoggedInOrInsufficientPermissions = 99,		 /* The method requires user authentication but the user was not logged in, or the authenticated method call did not have the required permissions. */
	FKFlickrGalleriesCreateError_InvalidAPIKey = 100,		 /* The API key passed was not valid or has expired. */
	FKFlickrGalleriesCreateError_ServiceCurrentlyUnavailable = 105,		 /* The requested service is temporarily unavailable. */
	FKFlickrGalleriesCreateError_FormatXXXNotFound = 111,		 /* The requested response format was not found. */
	FKFlickrGalleriesCreateError_MethodXXXNotFound = 112,		 /* The requested method was not found. */
	FKFlickrGalleriesCreateError_InvalidSOAPEnvelope = 114,		 /* The SOAP envelope send in the request could not be parsed. */
	FKFlickrGalleriesCreateError_InvalidXMLRPCMethodCall = 115,		 /* The XML-RPC request document could not be parsed. */
	FKFlickrGalleriesCreateError_BadURLFound = 116,		 /* One or more arguments contained a URL that has been used for abuse on Flickr. */

} FKFlickrGalleriesCreateError;

/*

Create a new gallery for the calling user.

The ID of the newly created gallery, and its URL.

Response:

  <gallery id="50736-72157623680420409" url="http://www.flickr.com/photos/kellan/galleries/72157623680420409" /> 


*/
@interface FKFlickrGalleriesCreate : NSObject <FKFlickrAPIMethod>

/* The name of the gallery */
@property (nonatomic, strong) NSString *title; /* (Required) */

/* A short description for the gallery */
@property (nonatomic, strong) NSString *description; /* (Required) */

/* The first photo to add to your gallery */
@property (nonatomic, strong) NSString *primary_photo_id;


@end
