//
//  FKFlickrGalleriesGetList.h
//  FlickrKit
//
//  Generated by FKAPIBuilder on 12 Jun, 2013 at 17:19.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrAPIMethod.h"

typedef enum {
	FKFlickrGalleriesGetListError_InvalidAPIKey = 100,		 /* The API key passed was not valid or has expired. */
	FKFlickrGalleriesGetListError_ServiceCurrentlyUnavailable = 105,		 /* The requested service is temporarily unavailable. */
	FKFlickrGalleriesGetListError_FormatXXXNotFound = 111,		 /* The requested response format was not found. */
	FKFlickrGalleriesGetListError_MethodXXXNotFound = 112,		 /* The requested method was not found. */
	FKFlickrGalleriesGetListError_InvalidSOAPEnvelope = 114,		 /* The SOAP envelope send in the request could not be parsed. */
	FKFlickrGalleriesGetListError_InvalidXMLRPCMethodCall = 115,		 /* The XML-RPC request document could not be parsed. */
	FKFlickrGalleriesGetListError_BadURLFound = 116,		 /* One or more arguments contained a URL that has been used for abuse on Flickr. */

} FKFlickrGalleriesGetListError;

/*

Return the list of galleries created by a user.  Sorted from newest to oldest.


Response:

<galleries total="9" page="1" pages="1" per_page="100" user_id="34427469121@N01">
   <gallery id="5704-72157622637971865" 
             url="http://www.flickr.com/photos/george/galleries/72157622637971865" 
             owner="34427469121@N01" date_create="1257711422" date_update="1260360756"
             primary_photo_id="107391222"  primary_photo_server="39" 
             primary_photo_farm="1" primary_photo_secret="ffa"
             count_photos="16" count_videos="2" >
       <title>I like me some black &amp; white</title>
       <description>black and whites</description>
   </gallery>
   <gallery id="5704-72157622566655097" 
            url="http://www.flickr.com/photos/george/galleries/72157622566655097" 
            owner="34427469121@N01" date_create="1256852229" date_update="1260462343" 
            primary_photo_id="497374910" primary_photo_server="231" 
            primary_photo_farm="1" primary_photo_secret="9ae0f"
            count_photos="18" count_videos="0" >
       <title>People Sleeping in Libraries</title>
       <description />
   </gallery>
</galleries>

*/
@interface FKFlickrGalleriesGetList : NSObject <FKFlickrAPIMethod>

/* The NSID of the user to get a galleries list for. If none is specified, the calling user is assumed. */
@property (nonatomic, strong) NSString *user_id; /* (Required) */

/* Number of galleries to return per page. If this argument is omitted, it defaults to 100. The maximum allowed value is 500. */
@property (nonatomic, strong) NSString *per_page;

/* The page of results to return. If this argument is omitted, it defaults to 1. */
@property (nonatomic, strong) NSString *page;


@end
