//
//  FKFlickrGroupsPoolsAdd.h
//  FlickrKit
//
//  Generated by FKAPIBuilder on 12 Jun, 2013 at 17:19.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrAPIMethod.h"

typedef enum {
	FKFlickrGroupsPoolsAddError_PhotoNotFound = 1,		 /* The photo id passed was not the id of a photo owned by the caling user. */
	FKFlickrGroupsPoolsAddError_GroupNotFound = 2,		 /* The group id passed was not a valid id for a group the user is a member of. */
	FKFlickrGroupsPoolsAddError_PhotoAlreadyInPool = 3,		 /* The specified photo is already in the pool for the specified group. */
	FKFlickrGroupsPoolsAddError_PhotoInMaximumNumberOfPools = 4,		 /* The photo has already been added to the maximum allowed number of pools. */
	FKFlickrGroupsPoolsAddError_PhotoLimitReached = 5,		 /* The user has already added the maximum amount of allowed photos to the pool. */
	FKFlickrGroupsPoolsAddError_YourPhotoHasBeenAddedToThePendingQueueForThisPool = 6,		 /* The pool is moderated, and the photo has been added to the Pending Queue. If it is approved by a group administrator, it will be added to the pool. */
	FKFlickrGroupsPoolsAddError_YourPhotoHasAlreadyBeenAddedToThePendingQueueForThisPool = 7,		 /* The pool is moderated, and the photo has already been added to the Pending Queue. */
	FKFlickrGroupsPoolsAddError_ContentNotAllowed = 8,		 /* The content has been disallowed from the pool by the group admin(s). */
	FKFlickrGroupsPoolsAddError_MaximumNumberOfPhotosInGroupPool = 10,		 /* A group pool has reached the upper limit for the number of photos allowed. */
	FKFlickrGroupsPoolsAddError_InvalidSignature = 96,		 /* The passed signature was invalid. */
	FKFlickrGroupsPoolsAddError_MissingSignature = 97,		 /* The call required signing but no signature was sent. */
	FKFlickrGroupsPoolsAddError_LoginFailedOrInvalidAuthToken = 98,		 /* The login details or auth token passed were invalid. */
	FKFlickrGroupsPoolsAddError_UserNotLoggedInOrInsufficientPermissions = 99,		 /* The method requires user authentication but the user was not logged in, or the authenticated method call did not have the required permissions. */
	FKFlickrGroupsPoolsAddError_InvalidAPIKey = 100,		 /* The API key passed was not valid or has expired. */
	FKFlickrGroupsPoolsAddError_ServiceCurrentlyUnavailable = 105,		 /* The requested service is temporarily unavailable. */
	FKFlickrGroupsPoolsAddError_FormatXXXNotFound = 111,		 /* The requested response format was not found. */
	FKFlickrGroupsPoolsAddError_MethodXXXNotFound = 112,		 /* The requested method was not found. */
	FKFlickrGroupsPoolsAddError_InvalidSOAPEnvelope = 114,		 /* The SOAP envelope send in the request could not be parsed. */
	FKFlickrGroupsPoolsAddError_InvalidXMLRPCMethodCall = 115,		 /* The XML-RPC request document could not be parsed. */
	FKFlickrGroupsPoolsAddError_BadURLFound = 116,		 /* One or more arguments contained a URL that has been used for abuse on Flickr. */

} FKFlickrGroupsPoolsAddError;

/*

Add a photo to a group's pool.




*/
@interface FKFlickrGroupsPoolsAdd : NSObject <FKFlickrAPIMethod>

/* The id of the photo to add to the group pool. The photo must belong to the calling user. */
@property (nonatomic, strong) NSString *photo_id; /* (Required) */

/* The NSID of the group who's pool the photo is to be added to. */
@property (nonatomic, strong) NSString *group_id; /* (Required) */


@end
