//
//  FKFlickrGroupsPoolsAdd.m
//  FlickrKit
//
//  Generated by FKAPIBuilder on 12 Jun, 2013 at 17:19.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrGroupsPoolsAdd.h" 

@implementation FKFlickrGroupsPoolsAdd

- (BOOL) needsLogin {
    return YES;
}

- (BOOL) needsSigning {
    return YES;
}

- (FKPermission) requiredPerms {
    return 1;
}

- (NSString *) name {
    return @"flickr.groups.pools.add";
}

- (BOOL) isValid:(NSError **)error {
    BOOL valid = YES;
	NSMutableString *errorDescription = [[NSMutableString alloc] initWithString:@"You are missing required params: "];
	if(!self.photo_id) {
		valid = NO;
		[errorDescription appendString:@"'photo_id', "];
	}
	if(!self.group_id) {
		valid = NO;
		[errorDescription appendString:@"'group_id', "];
	}

	if(error != NULL) {
		if(!valid) {	
			NSDictionary *userInfo = @{NSLocalizedDescriptionKey: errorDescription};
			*error = [NSError errorWithDomain:FKFlickrKitErrorDomain code:FKErrorInvalidArgs userInfo:userInfo];
		}
	}
    return valid;
}

- (NSDictionary *) args {
    NSMutableDictionary *args = [NSMutableDictionary dictionary];
	if(self.photo_id) {
		[args setValue:self.photo_id forKey:@"photo_id"];
	}
	if(self.group_id) {
		[args setValue:self.group_id forKey:@"group_id"];
	}

    return [args copy];
}

- (NSString *) descriptionForError:(NSInteger)error {
    switch(error) {
		case FKFlickrGroupsPoolsAddError_PhotoNotFound:
			return @"Photo not found";
		case FKFlickrGroupsPoolsAddError_GroupNotFound:
			return @"Group not found";
		case FKFlickrGroupsPoolsAddError_PhotoAlreadyInPool:
			return @"Photo already in pool";
		case FKFlickrGroupsPoolsAddError_PhotoInMaximumNumberOfPools:
			return @"Photo in maximum number of pools";
		case FKFlickrGroupsPoolsAddError_PhotoLimitReached:
			return @"Photo limit reached";
		case FKFlickrGroupsPoolsAddError_YourPhotoHasBeenAddedToThePendingQueueForThisPool:
			return @"Your Photo has been added to the Pending Queue for this Pool";
		case FKFlickrGroupsPoolsAddError_YourPhotoHasAlreadyBeenAddedToThePendingQueueForThisPool:
			return @"Your Photo has already been added to the Pending Queue for this Pool";
		case FKFlickrGroupsPoolsAddError_ContentNotAllowed:
			return @"Content not allowed";
		case FKFlickrGroupsPoolsAddError_MaximumNumberOfPhotosInGroupPool:
			return @"Maximum number of photos in Group Pool";
		case FKFlickrGroupsPoolsAddError_InvalidSignature:
			return @"Invalid signature";
		case FKFlickrGroupsPoolsAddError_MissingSignature:
			return @"Missing signature";
		case FKFlickrGroupsPoolsAddError_LoginFailedOrInvalidAuthToken:
			return @"Login failed / Invalid auth token";
		case FKFlickrGroupsPoolsAddError_UserNotLoggedInOrInsufficientPermissions:
			return @"User not logged in / Insufficient permissions";
		case FKFlickrGroupsPoolsAddError_InvalidAPIKey:
			return @"Invalid API Key";
		case FKFlickrGroupsPoolsAddError_ServiceCurrentlyUnavailable:
			return @"Service currently unavailable";
		case FKFlickrGroupsPoolsAddError_FormatXXXNotFound:
			return @"Format \"xxx\" not found";
		case FKFlickrGroupsPoolsAddError_MethodXXXNotFound:
			return @"Method \"xxx\" not found";
		case FKFlickrGroupsPoolsAddError_InvalidSOAPEnvelope:
			return @"Invalid SOAP envelope";
		case FKFlickrGroupsPoolsAddError_InvalidXMLRPCMethodCall:
			return @"Invalid XML-RPC Method Call";
		case FKFlickrGroupsPoolsAddError_BadURLFound:
			return @"Bad URL found";
  
		default:
			return @"Unknown error code";
    }
}

@end
