//
//  FKFlickrPhotosSetSafetyLevel.h
//  FlickrKit
//
//  Generated by FKAPIBuilder on 12 Jun, 2013 at 17:19.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrAPIMethod.h"

typedef enum {
	FKFlickrPhotosSetSafetyLevelError_PhotoNotFound = 1,		 /* The photo id passed was not a valid photo id of a photo belonging to the calling user. */
	FKFlickrPhotosSetSafetyLevelError_InvalidOrMissingArguments = 2,		 /* Neither a valid safety level nor a hidden value were passed. */
	FKFlickrPhotosSetSafetyLevelError_ChangeNotAllowed = 3,		 /* Changing the safety level of this photo is not allowed. */
	FKFlickrPhotosSetSafetyLevelError_InvalidSignature = 96,		 /* The passed signature was invalid. */
	FKFlickrPhotosSetSafetyLevelError_MissingSignature = 97,		 /* The call required signing but no signature was sent. */
	FKFlickrPhotosSetSafetyLevelError_LoginFailedOrInvalidAuthToken = 98,		 /* The login details or auth token passed were invalid. */
	FKFlickrPhotosSetSafetyLevelError_UserNotLoggedInOrInsufficientPermissions = 99,		 /* The method requires user authentication but the user was not logged in, or the authenticated method call did not have the required permissions. */
	FKFlickrPhotosSetSafetyLevelError_InvalidAPIKey = 100,		 /* The API key passed was not valid or has expired. */
	FKFlickrPhotosSetSafetyLevelError_ServiceCurrentlyUnavailable = 105,		 /* The requested service is temporarily unavailable. */
	FKFlickrPhotosSetSafetyLevelError_FormatXXXNotFound = 111,		 /* The requested response format was not found. */
	FKFlickrPhotosSetSafetyLevelError_MethodXXXNotFound = 112,		 /* The requested method was not found. */
	FKFlickrPhotosSetSafetyLevelError_InvalidSOAPEnvelope = 114,		 /* The SOAP envelope send in the request could not be parsed. */
	FKFlickrPhotosSetSafetyLevelError_InvalidXMLRPCMethodCall = 115,		 /* The XML-RPC request document could not be parsed. */
	FKFlickrPhotosSetSafetyLevelError_BadURLFound = 116,		 /* One or more arguments contained a URL that has been used for abuse on Flickr. */

} FKFlickrPhotosSetSafetyLevelError;

/*

Set the safety level of a photo.


Response:

<rsp stat="ok">
<photo id="14814" safety_level="2" hidden="0"/>
</rsp>

*/
@interface FKFlickrPhotosSetSafetyLevel : NSObject <FKFlickrAPIMethod>

/* The id of the photo to set the adultness of. */
@property (nonatomic, strong) NSString *photo_id; /* (Required) */

/* The safety level of the photo.  Must be one of:

1 for Safe, 2 for Moderate, and 3 for Restricted. */
@property (nonatomic, strong) NSString *safety_level;

/* Whether or not to additionally hide the photo from public searches.  Must be either 1 for Yes or 0 for No. */
@property (nonatomic, strong) NSString *hidden;


@end
