//
//  FKFlickrPhotosGeoSetPerms.h
//  FlickrKit
//
//  Generated by FKAPIBuilder on 12 Jun, 2013 at 17:19.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrAPIMethod.h"

typedef enum {
	FKFlickrPhotosGeoSetPermsError_PhotoNotFound = 1,		 /* The photo id was either invalid or was for a photo not viewable by the calling user. */
	FKFlickrPhotosGeoSetPermsError_PhotoHasNoLocationInformation = 2,		 /* The photo requested has no location data or is not viewable by the calling user. */
	FKFlickrPhotosGeoSetPermsError_RequiredArgumentsMissing = 3,		 /* Some or all of the required arguments were not supplied. */
	FKFlickrPhotosGeoSetPermsError_InvalidSignature = 96,		 /* The passed signature was invalid. */
	FKFlickrPhotosGeoSetPermsError_MissingSignature = 97,		 /* The call required signing but no signature was sent. */
	FKFlickrPhotosGeoSetPermsError_LoginFailedOrInvalidAuthToken = 98,		 /* The login details or auth token passed were invalid. */
	FKFlickrPhotosGeoSetPermsError_UserNotLoggedInOrInsufficientPermissions = 99,		 /* The method requires user authentication but the user was not logged in, or the authenticated method call did not have the required permissions. */
	FKFlickrPhotosGeoSetPermsError_InvalidAPIKey = 100,		 /* The API key passed was not valid or has expired. */
	FKFlickrPhotosGeoSetPermsError_ServiceCurrentlyUnavailable = 105,		 /* The requested service is temporarily unavailable. */
	FKFlickrPhotosGeoSetPermsError_FormatXXXNotFound = 111,		 /* The requested response format was not found. */
	FKFlickrPhotosGeoSetPermsError_MethodXXXNotFound = 112,		 /* The requested method was not found. */
	FKFlickrPhotosGeoSetPermsError_InvalidSOAPEnvelope = 114,		 /* The SOAP envelope send in the request could not be parsed. */
	FKFlickrPhotosGeoSetPermsError_InvalidXMLRPCMethodCall = 115,		 /* The XML-RPC request document could not be parsed. */
	FKFlickrPhotosGeoSetPermsError_BadURLFound = 116,		 /* One or more arguments contained a URL that has been used for abuse on Flickr. */

} FKFlickrPhotosGeoSetPermsError;

/*

Set the permission for who may view the geo data associated with a photo.




*/
@interface FKFlickrPhotosGeoSetPerms : NSObject <FKFlickrAPIMethod>

/* 1 to set viewing permissions for the photo's location data to public, 0 to set it to private. */
@property (nonatomic, strong) NSString *is_public; /* (Required) */

/* 1 to set viewing permissions for the photo's location data to contacts, 0 to set it to private. */
@property (nonatomic, strong) NSString *is_contact; /* (Required) */

/* 1 to set viewing permissions for the photo's location data to friends, 0 to set it to private. */
@property (nonatomic, strong) NSString *is_friend; /* (Required) */

/* 1 to set viewing permissions for the photo's location data to family, 0 to set it to private. */
@property (nonatomic, strong) NSString *is_family; /* (Required) */

/* The id of the photo to get permissions for. */
@property (nonatomic, strong) NSString *photo_id; /* (Required) */


@end
