//
//  FKFlickrPhotosPeopleEditCoords.h
//  FlickrKit
//
//  Generated by FKAPIBuilder on 12 Jun, 2013 at 17:19.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrAPIMethod.h"

typedef enum {
	FKFlickrPhotosPeopleEditCoordsError_PersonNotFound = 1,		 /* The NSID passed was not a valid user id. */
	FKFlickrPhotosPeopleEditCoordsError_PhotoNotFound = 2,		 /* The photo id passed was not a valid photo id. */
	FKFlickrPhotosPeopleEditCoordsError_UserCannotEditThatPersonInThatPhoto = 3,		 /* The calling user did not originally add this person to the photo, and is not the person in question. */
	FKFlickrPhotosPeopleEditCoordsError_SomeCoordinateParamtersWereBlank = 4,		 /* Not all of the co-ordinate parameters (person_x, person_y, person_w, person_h) were passed with valid values. */
	FKFlickrPhotosPeopleEditCoordsError_NoCoordinatesGiven = 5,		 /* None of the co-ordinate parameters were valid. */
	FKFlickrPhotosPeopleEditCoordsError_InvalidSignature = 96,		 /* The passed signature was invalid. */
	FKFlickrPhotosPeopleEditCoordsError_MissingSignature = 97,		 /* The call required signing but no signature was sent. */
	FKFlickrPhotosPeopleEditCoordsError_LoginFailedOrInvalidAuthToken = 98,		 /* The login details or auth token passed were invalid. */
	FKFlickrPhotosPeopleEditCoordsError_UserNotLoggedInOrInsufficientPermissions = 99,		 /* The method requires user authentication but the user was not logged in, or the authenticated method call did not have the required permissions. */
	FKFlickrPhotosPeopleEditCoordsError_InvalidAPIKey = 100,		 /* The API key passed was not valid or has expired. */
	FKFlickrPhotosPeopleEditCoordsError_ServiceCurrentlyUnavailable = 105,		 /* The requested service is temporarily unavailable. */
	FKFlickrPhotosPeopleEditCoordsError_FormatXXXNotFound = 111,		 /* The requested response format was not found. */
	FKFlickrPhotosPeopleEditCoordsError_MethodXXXNotFound = 112,		 /* The requested method was not found. */
	FKFlickrPhotosPeopleEditCoordsError_InvalidSOAPEnvelope = 114,		 /* The SOAP envelope send in the request could not be parsed. */
	FKFlickrPhotosPeopleEditCoordsError_InvalidXMLRPCMethodCall = 115,		 /* The XML-RPC request document could not be parsed. */
	FKFlickrPhotosPeopleEditCoordsError_BadURLFound = 116,		 /* One or more arguments contained a URL that has been used for abuse on Flickr. */

} FKFlickrPhotosPeopleEditCoordsError;

/*

Edit the bounding box of an existing person on a photo.




*/
@interface FKFlickrPhotosPeopleEditCoords : NSObject <FKFlickrAPIMethod>

/* The id of the photo to edit a person in. */
@property (nonatomic, strong) NSString *photo_id; /* (Required) */

/* The NSID of the person to edit in a photo. */
@property (nonatomic, strong) NSString *user_id; /* (Required) */

/* The left-most pixel co-ordinate of the box around the person. */
@property (nonatomic, strong) NSString *person_x; /* (Required) */

/* The top-most pixel co-ordinate of the box around the person. */
@property (nonatomic, strong) NSString *person_y; /* (Required) */

/* The width (in pixels) of the box around the person. */
@property (nonatomic, strong) NSString *person_w; /* (Required) */

/* The height (in pixels) of the box around the person. */
@property (nonatomic, strong) NSString *person_h; /* (Required) */

/* An email address for an 'invited' person in a photo */
@property (nonatomic, strong) NSString *email;


@end
