//
//  FKFlickrPhotosUploadCheckTickets.h
//  FlickrKit
//
//  Generated by FKAPIBuilder on 12 Jun, 2013 at 17:19.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrAPIMethod.h"

typedef enum {
	FKFlickrPhotosUploadCheckTicketsError_InvalidAPIKey = 100,		 /* The API key passed was not valid or has expired. */
	FKFlickrPhotosUploadCheckTicketsError_ServiceCurrentlyUnavailable = 105,		 /* The requested service is temporarily unavailable. */
	FKFlickrPhotosUploadCheckTicketsError_FormatXXXNotFound = 111,		 /* The requested response format was not found. */
	FKFlickrPhotosUploadCheckTicketsError_MethodXXXNotFound = 112,		 /* The requested method was not found. */
	FKFlickrPhotosUploadCheckTicketsError_InvalidSOAPEnvelope = 114,		 /* The SOAP envelope send in the request could not be parsed. */
	FKFlickrPhotosUploadCheckTicketsError_InvalidXMLRPCMethodCall = 115,		 /* The XML-RPC request document could not be parsed. */
	FKFlickrPhotosUploadCheckTicketsError_BadURLFound = 116,		 /* One or more arguments contained a URL that has been used for abuse on Flickr. */

} FKFlickrPhotosUploadCheckTicketsError;

/*

Checks the status of one or more asynchronous photo upload tickets.

<p>There is one <code>&lt;ticket&gt;</code> element for each ticket id supplied. The <code>id</code> attribute contains the corresponding ticket id. If the ticket wasn't found, the <code>invalid</code> attribute is set. The status of the ticket is passed in the <code>status</code> attribute; 0 means not completed, 1 means completed and 2 means the ticket failed (indicating there was a problem converting the file). When the status is 1, the photo id is passed in the <code>photoid</code> attribute. The photo id can then be used as with the <a href="/services/api/upload.api.html">synchronous upload API</a>.

Response:

<uploader>
	<ticket id="128" complete="1" photoid="2995" />
	<ticket id="129" complete="0" />
	<ticket id="130" complete="2" />
	<ticket id="131" invalid="1" />
</uploader>


*/
@interface FKFlickrPhotosUploadCheckTickets : NSObject <FKFlickrAPIMethod>

/* A comma-delimited list of ticket ids */
@property (nonatomic, strong) NSString *tickets; /* (Required) */

/*  */
@property (nonatomic, strong) NSString *batch_id;


@end
