//
//  FKFlickrPhotosetsCreate.h
//  FlickrKit
//
//  Generated by FKAPIBuilder on 12 Jun, 2013 at 17:19.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrAPIMethod.h"

typedef enum {
	FKFlickrPhotosetsCreateError_NoTitleSpecified = 1,		 /* No title parameter was passed in the request. */
	FKFlickrPhotosetsCreateError_PhotoNotFound = 2,		 /* The primary photo id passed was not a valid photo id or does not belong to the calling user. */
	FKFlickrPhotosetsCreateError_CantCreateAnyMoreSets = 3,		 /* The user has reached their maximum number of photosets limit. */
	FKFlickrPhotosetsCreateError_InvalidSignature = 96,		 /* The passed signature was invalid. */
	FKFlickrPhotosetsCreateError_MissingSignature = 97,		 /* The call required signing but no signature was sent. */
	FKFlickrPhotosetsCreateError_LoginFailedOrInvalidAuthToken = 98,		 /* The login details or auth token passed were invalid. */
	FKFlickrPhotosetsCreateError_UserNotLoggedInOrInsufficientPermissions = 99,		 /* The method requires user authentication but the user was not logged in, or the authenticated method call did not have the required permissions. */
	FKFlickrPhotosetsCreateError_InvalidAPIKey = 100,		 /* The API key passed was not valid or has expired. */
	FKFlickrPhotosetsCreateError_ServiceCurrentlyUnavailable = 105,		 /* The requested service is temporarily unavailable. */
	FKFlickrPhotosetsCreateError_FormatXXXNotFound = 111,		 /* The requested response format was not found. */
	FKFlickrPhotosetsCreateError_MethodXXXNotFound = 112,		 /* The requested method was not found. */
	FKFlickrPhotosetsCreateError_InvalidSOAPEnvelope = 114,		 /* The SOAP envelope send in the request could not be parsed. */
	FKFlickrPhotosetsCreateError_InvalidXMLRPCMethodCall = 115,		 /* The XML-RPC request document could not be parsed. */
	FKFlickrPhotosetsCreateError_BadURLFound = 116,		 /* One or more arguments contained a URL that has been used for abuse on Flickr. */

} FKFlickrPhotosetsCreateError;

/*

Create a new photoset for the calling user.

<p>New photosets are automatically put first in the photoset ordering for the user. Use <a href="/services/api/flickr.photosets.orderSets.html">flickr.photosets.orderSets</a> if you don't want the new set to appear first on the user's photoset list.</p>

Response:

<photoset id="1234" url="http://www.flickr.com/photos/bees/sets/1234/" />

*/
@interface FKFlickrPhotosetsCreate : NSObject <FKFlickrAPIMethod>

/* A title for the photoset. */
@property (nonatomic, strong) NSString *title; /* (Required) */

/* A description of the photoset. May contain limited html. */
@property (nonatomic, strong) NSString *description;

/* The id of the photo to represent this set. The photo must belong to the calling user. */
@property (nonatomic, strong) NSString *primary_photo_id; /* (Required) */


@end
