//
//  FKFlickrPhotosetsEditPhotos.h
//  FlickrKit
//
//  Generated by FKAPIBuilder on 12 Jun, 2013 at 17:19.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrAPIMethod.h"

typedef enum {
	FKFlickrPhotosetsEditPhotosError_PhotosetNotFound = 1,		 /* The photoset id passed was not a valid photoset id or did not belong to the calling user. */
	FKFlickrPhotosetsEditPhotosError_PhotoNotFound = 2,		 /* One or more of the photo ids passed was not a valid photo id or does not belong to the calling user. */
	FKFlickrPhotosetsEditPhotosError_PrimaryPhotoNotFound = 3,		 /* The primary photo id passed was not a valid photo id or does not belong to the calling user. */
	FKFlickrPhotosetsEditPhotosError_PrimaryPhotoNotInList = 4,		 /* The primary photo id passed did not appear in the photo id list. */
	FKFlickrPhotosetsEditPhotosError_EmptyPhotosList = 5,		 /* No photo ids were passed. */
	FKFlickrPhotosetsEditPhotosError_InvalidSignature = 96,		 /* The passed signature was invalid. */
	FKFlickrPhotosetsEditPhotosError_MissingSignature = 97,		 /* The call required signing but no signature was sent. */
	FKFlickrPhotosetsEditPhotosError_LoginFailedOrInvalidAuthToken = 98,		 /* The login details or auth token passed were invalid. */
	FKFlickrPhotosetsEditPhotosError_UserNotLoggedInOrInsufficientPermissions = 99,		 /* The method requires user authentication but the user was not logged in, or the authenticated method call did not have the required permissions. */
	FKFlickrPhotosetsEditPhotosError_InvalidAPIKey = 100,		 /* The API key passed was not valid or has expired. */
	FKFlickrPhotosetsEditPhotosError_ServiceCurrentlyUnavailable = 105,		 /* The requested service is temporarily unavailable. */
	FKFlickrPhotosetsEditPhotosError_FormatXXXNotFound = 111,		 /* The requested response format was not found. */
	FKFlickrPhotosetsEditPhotosError_MethodXXXNotFound = 112,		 /* The requested method was not found. */
	FKFlickrPhotosetsEditPhotosError_InvalidSOAPEnvelope = 114,		 /* The SOAP envelope send in the request could not be parsed. */
	FKFlickrPhotosetsEditPhotosError_InvalidXMLRPCMethodCall = 115,		 /* The XML-RPC request document could not be parsed. */
	FKFlickrPhotosetsEditPhotosError_BadURLFound = 116,		 /* One or more arguments contained a URL that has been used for abuse on Flickr. */

} FKFlickrPhotosetsEditPhotosError;

/*

Modify the photos in a photoset. Use this method to add, remove and re-order photos.




*/
@interface FKFlickrPhotosetsEditPhotos : NSObject <FKFlickrAPIMethod>

/* The id of the photoset to modify. The photoset must belong to the calling user. */
@property (nonatomic, strong) NSString *photoset_id; /* (Required) */

/* The id of the photo to use as the 'primary' photo for the set. This id must also be passed along in photo_ids list argument. */
@property (nonatomic, strong) NSString *primary_photo_id; /* (Required) */

/* A comma-delimited list of photo ids to include in the set. They will appear in the set in the order sent. This list <b>must</b> contain the primary photo id. All photos must belong to the owner of the set. This list of photos replaces the existing list. Call flickr.photosets.addPhoto to append a photo to a set. */
@property (nonatomic, strong) NSString *photo_ids; /* (Required) */


@end
