//
//  FKFlickrReflectionGetMethodInfo.h
//  FlickrKit
//
//  Generated by FKAPIBuilder on 12 Jun, 2013 at 17:19.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrAPIMethod.h"

typedef enum {
	FKFlickrReflectionGetMethodInfoError_MethodNotFound = 1,		 /* The requested method was not found. */
	FKFlickrReflectionGetMethodInfoError_InvalidAPIKey = 100,		 /* The API key passed was not valid or has expired. */
	FKFlickrReflectionGetMethodInfoError_ServiceCurrentlyUnavailable = 105,		 /* The requested service is temporarily unavailable. */
	FKFlickrReflectionGetMethodInfoError_FormatXXXNotFound = 111,		 /* The requested response format was not found. */
	FKFlickrReflectionGetMethodInfoError_MethodXXXNotFound = 112,		 /* The requested method was not found. */
	FKFlickrReflectionGetMethodInfoError_InvalidSOAPEnvelope = 114,		 /* The SOAP envelope send in the request could not be parsed. */
	FKFlickrReflectionGetMethodInfoError_InvalidXMLRPCMethodCall = 115,		 /* The XML-RPC request document could not be parsed. */
	FKFlickrReflectionGetMethodInfoError_BadURLFound = 116,		 /* One or more arguments contained a URL that has been used for abuse on Flickr. */

} FKFlickrReflectionGetMethodInfoError;

/*

Returns information for a given flickr API method.


Response:

<method name="flickr.fakeMethod" needslogin="1">
	<description>A fake method</description> 
	<response>xml-response-example</response> 
	<explanation>explanation of example response</explanation> 
	<arguments>
		<argument name="api_key" optional="0">
			You API application key.</argument> 
		<argument name="color" optional="1">
			Your favorite color.</argument> 
	</arguments>
	<errors>
		<error code="1" message="Photo not found">
			Full explanation...</error> 
		<error code="100" message="Invalid API Key">
			Full explanation...</error> 
	</errors>
</method>


*/
@interface FKFlickrReflectionGetMethodInfo : NSObject <FKFlickrAPIMethod>

/* The name of the method to fetch information for. */
@property (nonatomic, strong) NSString *method_name; /* (Required) */


@end
