//
//  FKFlickrStatsGetPhotosetStats.h
//  FlickrKit
//
//  Generated by FKAPIBuilder on 12 Jun, 2013 at 17:19.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrAPIMethod.h"

typedef enum {
	FKFlickrStatsGetPhotosetStatsError_UserDoesNotHaveStats = 1,		 /* The user you have requested stats has not enabled stats on their account. */
	FKFlickrStatsGetPhotosetStatsError_NoStatsForThatDate = 2,		 /* No stats are available for the date requested. Flickr only keeps stats data for the last 28 days. */
	FKFlickrStatsGetPhotosetStatsError_InvalidDate = 3,		 /* The date provided could not be parsed */
	FKFlickrStatsGetPhotosetStatsError_PhotosetNotFound = 4,		 /* The photoset id was either invalid or was for a set not owned by the calling user. */
	FKFlickrStatsGetPhotosetStatsError_InvalidSignature = 96,		 /* The passed signature was invalid. */
	FKFlickrStatsGetPhotosetStatsError_MissingSignature = 97,		 /* The call required signing but no signature was sent. */
	FKFlickrStatsGetPhotosetStatsError_LoginFailedOrInvalidAuthToken = 98,		 /* The login details or auth token passed were invalid. */
	FKFlickrStatsGetPhotosetStatsError_UserNotLoggedInOrInsufficientPermissions = 99,		 /* The method requires user authentication but the user was not logged in, or the authenticated method call did not have the required permissions. */
	FKFlickrStatsGetPhotosetStatsError_InvalidAPIKey = 100,		 /* The API key passed was not valid or has expired. */
	FKFlickrStatsGetPhotosetStatsError_ServiceCurrentlyUnavailable = 105,		 /* The requested service is temporarily unavailable. */
	FKFlickrStatsGetPhotosetStatsError_FormatXXXNotFound = 111,		 /* The requested response format was not found. */
	FKFlickrStatsGetPhotosetStatsError_MethodXXXNotFound = 112,		 /* The requested method was not found. */
	FKFlickrStatsGetPhotosetStatsError_InvalidSOAPEnvelope = 114,		 /* The SOAP envelope send in the request could not be parsed. */
	FKFlickrStatsGetPhotosetStatsError_InvalidXMLRPCMethodCall = 115,		 /* The XML-RPC request document could not be parsed. */
	FKFlickrStatsGetPhotosetStatsError_BadURLFound = 116,		 /* One or more arguments contained a URL that has been used for abuse on Flickr. */

} FKFlickrStatsGetPhotosetStatsError;

/*

Get the number of views on a photoset for a given date.


Response:

<stats views="24" comments="1" />

*/
@interface FKFlickrStatsGetPhotosetStats : NSObject <FKFlickrAPIMethod>

/* Stats will be returned for this date. This should be in either be in YYYY-MM-DD or unix timestamp format.

A day according to Flickr Stats starts at midnight GMT for all users, and timestamps will automatically be rounded down to the start of the day. */
@property (nonatomic, strong) NSString *date; /* (Required) */

/* The id of the photoset to get stats for. */
@property (nonatomic, strong) NSString *photoset_id; /* (Required) */


@end
